apiVersion: apps/v1
kind: Deployment
metadata:
  name: purchases-apiserver-deployment
  namespace: ingress-nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      app: purchases-apiserver-app
  template:
    metadata:
      labels: 
        app: purchases-apiserver-app
    spec:
      containers:
        - name: purchases-apiserver-container
          image: mwageeeh/4sharks-purchases-server:latest
          ports:
            - containerPort: 80
          env:
            - name: DB_HOST
              value: purchases-postgres-service 
            - name: DB_CONNECTION
              value: pgsql
            - name: DB_DATABASE
              value: purchases_db
            - name: DB_USERNAME
              value: root
            - name: DB_PASSWORD
              value: '123123'
          # lifecycle:
          #   postStart:
          #     exec:
          #       command: ["/bin/sh", "-c", "php artisan key:generate;php artisan migrate"]
